Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelWitch

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelVillager
              net.minecraft.client.model.ModelWitch

    public class ModelWitch

extends ModelVillager

Field Summary
`boolean` | `field_82900_g`

Fields inherited from class net.minecraft.client.model.ModelVillager
`field_82898_f, leftVillagerLeg, rightVillagerLeg, villagerArms, villagerBody, villagerHead`

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelWitch(float par1)`

Method Summary
`int` | `func_82899_a()`
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelVillager
`render`

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset, setLivingAnimations`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field_82900_g

    public boolean field_82900_g

Constructor Detail

### ModelWitch

    public ModelWitch(float par1)

Method Detail

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelVillager`

### func_82899_a

    public int func_82899_a()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD